Inyett Payment Control
Create batch
Submits a batch of outgoing payment transactions for screening. Returns immediately once the batch is queued; poll the batch warnings endpoint with the same externalId to read the analysis result.
POST
/
3
/
{profileCountry}
/
payment-control
/
batches
Create batch
curl --request POST \
--url https://api.example.com/3/{profileCountry}/payment-control/batches \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"externalId": "<string>",
"debtorAccount": "<string>",
"transactions": [
{
"paymentDate": "2023-11-07T05:31:56Z",
"amount": 123,
"currency": "<string>",
"creditorAccountType": "<string>",
"creditorAccount": "<string>",
"externalId": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"ocr": "<string>",
"verNr": "<string>",
"invoiceNr": "<string>"
}
]
}
'import requests
url = "https://api.example.com/3/{profileCountry}/payment-control/batches"
payload = {
"externalId": "<string>",
"debtorAccount": "<string>",
"transactions": [
{
"paymentDate": "2023-11-07T05:31:56Z",
"amount": 123,
"currency": "<string>",
"creditorAccountType": "<string>",
"creditorAccount": "<string>",
"externalId": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"ocr": "<string>",
"verNr": "<string>",
"invoiceNr": "<string>"
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: '<string>',
debtorAccount: '<string>',
transactions: [
{
paymentDate: '2023-11-07T05:31:56Z',
amount: 123,
currency: '<string>',
creditorAccountType: '<string>',
creditorAccount: '<string>',
externalId: '<string>',
creditorOrgNr: '<string>',
creditorName: '<string>',
ocr: '<string>',
verNr: '<string>',
invoiceNr: '<string>'
}
]
})
};
fetch('https://api.example.com/3/{profileCountry}/payment-control/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
X-Api-KeyBearer
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
Country for profile ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO Body
application/jsontext/jsonapplication/*+json
Batch
Response
OK
Was this page helpful?
⌘I
Create batch
